Change in ...osmo-pcu[master]: manuals: Add script to regenerate vty/counter documentation

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

daniel gerrit-no-reply at lists.osmocom.org
Wed Jun 19 12:43:03 UTC 2019


daniel has submitted this change and it was merged. ( https://gerrit.osmocom.org/c/osmo-pcu/+/14520 )

Change subject: manuals: Add script to regenerate vty/counter documentation
......................................................................

manuals: Add script to regenerate vty/counter documentation

Change-Id: Iff570e85828c87d69a7a49a00d9459094077ca30
Related: OS#1700
---
M doc/manuals/Makefile.am
A doc/manuals/regen_doc.sh
2 files changed, 18 insertions(+), 0 deletions(-)

Approvals:
  pespin: Looks good to me, approved
  Jenkins Builder: Verified



diff --git a/doc/manuals/Makefile.am b/doc/manuals/Makefile.am
index 96675ec..a29b48f 100644
--- a/doc/manuals/Makefile.am
+++ b/doc/manuals/Makefile.am
@@ -3,6 +3,7 @@
     osmopcu-usermanual.adoc \
     osmopcu-usermanual-docinfo.xml \
     osmopcu-vty-reference.xml \
+    regen_doc.sh \
     chapters \
     gb \
     vty
diff --git a/doc/manuals/regen_doc.sh b/doc/manuals/regen_doc.sh
new file mode 100755
index 0000000..aae5566
--- /dev/null
+++ b/doc/manuals/regen_doc.sh
@@ -0,0 +1,17 @@
+#!/bin/sh -x
+
+if [ -z "$DOCKER_PLAYGROUND" ]; then
+	echo "You need to set DOCKER_PLAYGROUND"
+	exit 1
+fi
+
+SCRIPT=$(realpath "$0")
+MANUAL_DIR=$(dirname "$SCRIPT")
+
+COMMIT=${COMMIT:-$(git log -1 --format=format:%H)}
+
+cd "$DOCKER_PLAYGROUND/scripts" || exit 1
+
+OSMO_PCU_BRANCH=$COMMIT ./regen_doc.sh osmo-pcu 4240 \
+	"$MANUAL_DIR/chapters/counters_generated.adoc" \
+	"$MANUAL_DIR/vty/osmo-pcu_vty_reference.xml"

-- 
To view, visit https://gerrit.osmocom.org/c/osmo-pcu/+/14520
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings

Gerrit-Project: osmo-pcu
Gerrit-Branch: master
Gerrit-Change-Id: Iff570e85828c87d69a7a49a00d9459094077ca30
Gerrit-Change-Number: 14520
Gerrit-PatchSet: 2
Gerrit-Owner: daniel <dwillmann at sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: daniel <dwillmann at sysmocom.de>
Gerrit-Reviewer: pespin <pespin at sysmocom.de>
Gerrit-MessageType: merged
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.osmocom.org/pipermail/gerrit-log/attachments/20190619/754e68a3/attachment.htm>


More information about the gerrit-log mailing list